Bug 544775

Summary: [abrt] crash detected in firefox-3.5.5-1.fc12
Product: [Fedora] Fedora Reporter: Rod Johnson <hr.johnsry2>
Component: cairoAssignee: Benjamin Otte <otte>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: behdad, campbecg, gecko-bugs-nobody
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard: abrt_hash:3e2af10d194d6c90c4ee4cafa0616049d2a91652
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 21:07:43 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace none

Description Rod Johnson 2009-12-06 08:32:08 EST
abrt 1.0.0 detected a crash.

Attached file: backtrace
cmdline: /usr/lib/firefox-3.5.5/firefox
component: firefox
executable: /usr/lib/firefox-3.5.5/firefox
kernel: 2.6.31.6-145.fc12.i686.PAE
package: firefox-3.5.5-1.fc12
rating: 4
reason: Process was terminated by signal 11
Comment 1 Rod Johnson 2009-12-06 08:32:13 EST
Created attachment 376447 [details]
File: backtrace
Comment 2 Chris Campbell 2009-12-16 09:41:01 EST
#3  <signal handler called>
No symbol table info available.
#4  af_loader_load_glyph (load_flags=<value optimized out>, 
    gindex=<value optimized out>, face=<value optimized out>, 
    loader=<value optimized out>)
    at /usr/src/debug/freetype-2.3.9/src/autofit/afloader.c:474
        error = 6
        size = <value optimized out>
        scaler = {face = 0x80578c7, x_scale = -1218031552, y_scale = 64, 
          x_delta = -1074451704, y_delta = 8954728, 
          render_mode = FT_RENDER_MODE_LCD, flags = 256}
#5  af_autofitter_load_glyph (load_flags=<value optimized out>, 
    gindex=<value optimized out>, face=<value optimized out>, 
    loader=<value optimized out>)
    at /usr/src/debug/freetype-2.3.9/src/autofit/afmodule.c:64
No locals.
#6  0x008bdb50 in FT_Load_Glyph (face=0xa1a84400, glyph_index=51, 
    load_flags=66048) at /usr/src/debug/freetype-2.3.9/src/base/ftobjs.c:660
        transform_flags = 0
        error = <value optimized out>
        driver = <value optimized out>
        hinter = 0xb7449de0
#7  0x004388d7 in _cairo_ft_scaled_glyph_init (abstract_font=0xb0b978d0, 
    scaled_glyph=0xaa84f100, info=CAIRO_SCALED_GLYPH_INFO_METRICS)
    at cairo-ft-font.c:1943
        fs_metrics = {x_bearing = 5.2129129311283147e-270, 
          y_bearing = -7.3046188095667074e-104, 
          width = 5.0591285429427976e-270, height = -8.6921570151378681e-63, 
          x_advance = 4.4009323040862928e-315, 
          y_advance = 4.6623581635948631e-306}
        unscaled = 0xa78c8e60
        glyph = 0x10000
        face = 0xa1a84400
        error = <value optimized out>
        load_flags = 66048
        x_factor = 0
        y_factor = 0
        vertical_layout = 0
        status = <value optimized out>


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Fedora Admin XMLRPC Client 2010-06-17 11:23:59 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Bug Zapper 2010-11-04 00:09:56 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 21:07:43 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.